Bug 150672 - saned-umax doesn't work with scsi-scanner Linohell Office
saned-umax doesn't work with scsi-scanner Linohell Office
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: sane-backends (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-09 10:08 EST by Christian Kippe
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 16:38:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christian Kippe 2005-03-09 10:08:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3) Gecko/20041004

Description of problem:
[root@w4100102 log]#  sane-find-scanner

found SCSI scanner "LinoHell Office V2.0" at /dev/scanner
found SCSI scanner "LinoHell Office V2.0" at /dev/sg2
[root@w4100102 log]# scanimage -L
device `umax:/dev/scanner' is a LinoHell Office           flatbed scanner
device `umax:/dev/sg2' is a LinoHell Office           flatbed scanner
device `net:w4100102.rz.ofd:umax:/dev/scanner' is a LinoHell Office           flatbed scanner
device `net:w4100102.rz.ofd:umax:/dev/sg2' is a LinoHell Office           flatbed scanner
[root@w4100102 log]# scanimage

That's all. Now the scanner is not working and has to be restarted to be recognized again. scanimage is hanging. The messages is logging:

Mar  9 15:57:27 w4100102 kernel: (scsi1:A:4:0): refuses WIDE negotiation.  Using 8bit transfers
Mar  9 15:57:27 w4100102 kernel: (scsi1:A:4:0): refuses synchronous negotiation. Using asynchronous transfers

scsi1:A:4:0 is the scanner. It's connected via an extra aic7xxx (2940UW). Is it a scsi-problem? The same was working on the same machine in RedHat 9 before. I made a complete new-install with FC3 and updated with yum. With xsane I can do a preview (this is working, I wonder...), but if I want to scan, xsane hangs and the described problem occurs.


Version-Release number of selected component (if applicable):
sane-backends-1.0.15-1.4

How reproducible:
Always

Steps to Reproduce:
1.connect the scanner
2.run kudzu
3.check with sane-find-scanner and scanimage -L
4.scanimage
  

Actual Results:  scanimage hangs, need to reset scanner

Expected Results:  image should be scanned

Additional info:
Comment 1 Christian Kippe 2005-03-09 10:15:46 EST
This only happens via net: interface.
Comment 2 Tim Waugh 2005-03-14 07:37:31 EST
Do you mean that it works when you use scanimage on the machine that the scanner
is physically connected to, but not when you use scanimage remotely?
Comment 3 Christian Kippe 2005-03-15 05:52:26 EST
On the machine, that has the scanner connected, scanimage also hangs. The command:
scanimage -d umax:/dev/scanner > image.pnm
makes the scanner shortly moving (like a beep), then the scanner stops and
scanimage hangs. After approx. 40 minutes of hanging the image is scanned.
Comment 4 Nils Philippsen 2006-03-14 10:48:07 EST
Does this happen on FC4 or Rawhide as well? Mind that I do have the same scanner
(the rebranded Highscreen one) and I have no problems, which might indicate that
it is in fact a lower level (SCSI) problem.
Comment 5 John Thacker 2006-05-05 16:38:49 EDT
Closing due to lack of response.

Note that FC3 is the responsibility of Fedora Legacy.  If this occurs
on FC4 or FC5, please reopen.

Note You need to log in before you can comment on or make changes to this bug.